@echo off
echo -----------------------------------
echo --------Moving Libraries-----------
echo -----------------------------------
echo -----------------------------------
echo ------Asking Architecture----------
echo -----------------------------------
if %PROCESSOR_ARCHITECTURE%==x86 (
  set ProgramFilesPath_x86=%ProgramFiles%
  echo "Architecture found = x86"
) else (
  set "ProgramFilesPath_x64=%ProgramFiles%"
  set "ProgramFilesPath_x86=%ProgramFiles(x86)%"
  echo "Architecture found = x64"
)
echo -----------------------------------
echo ---Setting Enviroment Variables----
echo -----------------------------------

set thirdpartyGeneration=%1
set thirdpartyInstallPath=%2
::The following line is to force x86 or x64 compilation
set x86Comp=%3

set installpath=%thirdpartyGeneration%\thirdparty_install\%buildType%
set binpath=%thirdpartyGeneration%\thirdparty_bin\%buildType%
set sourcepath=%thirdpartyGeneration%\thirdparty_source\%buildType%

set creaThirdPartyLibraries=%thirdpartyGeneration%\thirdparty_temp\creaThirdParty_libraries

set qt=qt
set jom=jom
set wxWidgets=wxWidgets
set boost=boost
set xercesc=xerces
set itk=itk
set gdcm=gdcm13
set vtk=vtk
set tth=tth
set sqlite=sqlite


set QTDIR=%sourcepath%\%qt%
set WXDIR=%sourcepath%\%wxWidgets%
set BOOSTDIR=%sourcepath%\%boost%
set XERCESDIR=%sourcepath%\%xercesc%
set ITKSRCDIR=%sourcepath%\%itk%
set VTKSRCDIR=%sourcepath%\%vtk%
set GDCMSRCDIR=%sourcepath%\%gdcm%
set BOOSTINSTALLDIR=%installpath%\%boost%
set ITKINSTALLDIR=%installpath%\%itk%
set VTKINSTALLDIR=%installpath%\%vtk%
set GDCMINSTALLDIR=%installpath%\%gdcm%
set TTHDIR=%sourcepath%\%tth%
set SQLITEINSTALLDIR=%installpath%\%sqlite%

if %buildType%==release (
	set qtBtype=4
	set wxPrefixBase=wxbase28
	set wxPrefixmsw=wxmsw28
	set xercesFile=xerces-c_3.lib
 ) else (
	set qtBtype=d4
 	set wxPrefixBase=wxbase28d
	set wxPrefixmsw=wxmsw28d
	set xercesFile=xerces-c_3D.lib
 )

if %x86Comp%==ON (
	set vcFolder=vc_dll
	set winType=Win32
) else (
	if %PROCESSOR_ARCHITECTURE%==x86  (
		set vcFolder=vc_dll
		set winType=Win32
	) else (
		set vcFolder=vc_amd64_dll
		set winType=Win64
	)
)
	
echo -----------------------------------
echo Environment variables Configuration
echo -----------------------------------
echo ThirdpartyGeneration=%thirdpartyGeneration%
echo InstallPath=%installpath%
echo BinPath=%binpath%
echo SourcePath=%sourcepath%
echo creaThirdPartyLibraries=%thirdpartyInstallPath%\creaThirdParty_libraries
echo QT=%qt%
echo WX=%wxWidgets%
echo BOOST=%boost%
echo Xercesc=%xercesc%
echo ITK=%itk%
echo GDCM=%gdcm%
echo VTK=%vtk%
echo QTDIR=%QTDIR%
echo WKDIR=%WXDIR%
echo BOOSTDIR=%BOOSTDIR%
echo XERCESDIR=%XERCESDIR%
echo ITKSRCDIR=%ITKSRCDIR%
echo VTKSRCDIR=%VTKSRCDIR%
echo SQLITESRCDIR=%SQLITESRCDIR%

rmdir /S /Q %creaThirdPartyLibraries%

mkdir %creaThirdPartyLibraries%


echo -----------------------------------
echo -------------QT--------------------
echo -----------------------------------

mkdir %creaThirdPartyLibraries%\%qt%

mkdir %creaThirdPartyLibraries%\%qt%\bin\
mkdir %creaThirdPartyLibraries%\%qt%\include\
mkdir %creaThirdPartyLibraries%\%qt%\lib\
mkdir %creaThirdPartyLibraries%\%qt%\mkspecs\
mkdir %creaThirdPartyLibraries%\%qt%\src\

XCOPY %QTDIR%\mkspecs\* %creaThirdPartyLibraries%\%qt%\mkspecs\ /s /i

XCOPY %QTDIR%\include\ActiveQt %creaThirdPartyLibraries%\%qt%\include\ActiveQt /s /i
XCOPY %QTDIR%\include\phonon %creaThirdPartyLibraries%\%qt%\include\phonon /s /i
XCOPY %QTDIR%\include\Qt %creaThirdPartyLibraries%\%qt%\include\Qt /s /i
XCOPY %QTDIR%\include\Qt3Support %creaThirdPartyLibraries%\%qt%\include\Qt3Support /s /i
XCOPY %QTDIR%\include\QtCore %creaThirdPartyLibraries%\%qt%\include\QtCore /s /i
XCOPY %QTDIR%\include\QtDBus %creaThirdPartyLibraries%\%qt%\include\QtDBus /s /i
XCOPY %QTDIR%\include\QtDeclarative %creaThirdPartyLibraries%\%qt%\include\QtDeclarative /s /i
XCOPY %QTDIR%\include\QtDesigner %creaThirdPartyLibraries%\%qt%\include\QtDesigner /s /i
XCOPY %QTDIR%\include\QtGui %creaThirdPartyLibraries%\%qt%\include\QtGui /s /i
XCOPY %QTDIR%\include\QtHelp %creaThirdPartyLibraries%\%qt%\include\QtHelp /s /i
XCOPY %QTDIR%\include\QtNetwork %creaThirdPartyLibraries%\%qt%\include\QtNetwork /s /i
XCOPY %QTDIR%\include\QtOpenGL %creaThirdPartyLibraries%\%qt%\include\QtOpenGL /s /i
XCOPY %QTDIR%\include\QtScript %creaThirdPartyLibraries%\%qt%\include\QtScript /s /i
XCOPY %QTDIR%\include\QtScriptTools %creaThirdPartyLibraries%\%qt%\include\QtScriptTools /s /i
XCOPY %QTDIR%\include\QtSql %creaThirdPartyLibraries%\%qt%\include\QtSql /s /i
XCOPY %QTDIR%\include\QtSvg %creaThirdPartyLibraries%\%qt%\include\QtSvg /s /i
XCOPY %QTDIR%\include\QtTest %creaThirdPartyLibraries%\%qt%\include\QtTest /s /i
XCOPY %QTDIR%\include\QtUiTools %creaThirdPartyLibraries%\%qt%\include\QtUiTools /s /i
XCOPY %QTDIR%\include\QtWebKit %creaThirdPartyLibraries%\%qt%\include\QtWebKit /s /i
XCOPY %QTDIR%\include\QtXml %creaThirdPartyLibraries%\%qt%\include\QtXml /s /i
XCOPY %QTDIR%\include\QtXmlPatterns %creaThirdPartyLibraries%\%qt%\include\QtXmlPatterns /s /i

copy /V /Y %QTDIR%\bin\assistant.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\designer.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\dumpcpp.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\idc.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\lconvert.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\linguist.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\lrelease.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\lupdate.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\moc.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\pixeltool.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qcollectiongenerator.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qhelpconverter.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qhelpgenerator.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qmake.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qt3to4.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\qtdemo.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\rcc.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\uic.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\uic3.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\xmlpatterns.exe %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\Qt3Support%qtBtype%.dll %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\QtCore%qtBtype%.dll %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\QtDesigner%qtBtype%.dll %creaThirdPartyLibraries%\%qt%\bin\
copy /V /Y %QTDIR%\bin\QtDesignerComponents%qtBtype%.dll %creaThirdPartyLibraries%\%qt%\bin\

::XCOPY %QTDIR%\lib\*.lib %creaThirdPartyLibraries%\%qt%\lib\ /i DFCH
copy /V /Y %QTDIR%\lib\phonon%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\Qt3Support%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtCore%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtGui%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtNetwork%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtOpenGL%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtScript%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtSql%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtSvg%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtTest%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtXml%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\
copy /V /Y %QTDIR%\lib\QtXmlPatterns%qtBtype%.lib %creaThirdPartyLibraries%\%qt%\lib\

IF %buildType%==release (
	copy /V /Y %QTDIR%\lib\QAxContainer.lib %creaThirdPartyLibraries%\%qt%\lib\
	copy /V /Y %QTDIR%\lib\QAxServer.lib %creaThirdPartyLibraries%\%qt%\lib\
	copy /V /Y %QTDIR%\lib\qtmain.lib %creaThirdPartyLibraries%\%qt%\lib\
) ELSE (
	copy /V /Y %QTDIR%\lib\QAxContainerd.lib %creaThirdPartyLibraries%\%qt%\lib\
	copy /V /Y %QTDIR%\lib\QAxServerd.lib %creaThirdPartyLibraries%\%qt%\lib\
	copy /V /Y %QTDIR%\lib\qtmaind.lib %creaThirdPartyLibraries%\%qt%\lib\
)

mkdir %creaThirdPartyLibraries%\%qt%\src\corelib
mkdir %creaThirdPartyLibraries%\%qt%\src\gui

XCOPY %QTDIR%\src\corelib\* %creaThirdPartyLibraries%\%qt%\src\corelib /s /i
rmdir %creaThirdPartyLibraries%\%qt%\src\corelib\animation /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\corelib\tmp /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\corelib\statemachine /S /Q

XCOPY %QTDIR%\src\gui\* %creaThirdPartyLibraries%\%qt%\src\gui /s /i
::Cleaning directories
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\animation /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\effects /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\egl /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\embedded /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\math3d /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\s60framework /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\statemachine /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\symbian /S /Q
rmdir %creaThirdPartyLibraries%\%qt%\src\gui\tmp /S /Q

echo -----------------------------------
echo -------------wxWidgets-------------
echo -----------------------------------


mkdir %creaThirdPartyLibraries%\%wxWidgets%

mkdir %creaThirdPartyLibraries%\%wxWidgets%\include\
mkdir %creaThirdPartyLibraries%\%wxWidgets%\lib\
mkdir %creaThirdPartyLibraries%\%wxWidgets%\src\

XCOPY %WXDIR%\include\* %creaThirdPartyLibraries%\%wxWidgets%\include\ /s /i

copy /V /Y %WXDIR%\wx-config.in %creaThirdPartyLibraries%\%wxWidgets%\

copy /V /Y %WXDIR%\lib\dummy %creaThirdPartyLibraries%\%wxWidgets%\lib\
copy /V /Y %WXDIR%\lib\vms.opt %creaThirdPartyLibraries%\%wxWidgets%\lib\
copy /V /Y %WXDIR%\lib\vms_gtk.opt %creaThirdPartyLibraries%\%wxWidgets%\lib\

mkdir %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%

copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixBase%.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixBase%_net.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixBase%_xml.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_adv.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_aui.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_core.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_html.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_media.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_qa.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_richtext.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
copy /V /Y %WXDIR%\lib\%vcFolder%\%wxPrefixmsw%_xrc.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%

IF %buildType%==release (
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxexpat.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxjpeg.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxpng.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxregex.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxtiff.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxzlib.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	mkdir %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%\msw
	XCOPY %WXDIR%\lib\%vcFolder%\msw\* %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%\msw /s /i
) ELSE (
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxexpatd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxjpegd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxpngd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxregexd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxtiffd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	copy /V /Y %WXDIR%\lib\%vcFolder%\wxzlibd.lib %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%
	mkdir %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%\mswd
	XCOPY %WXDIR%\lib\%vcFolder%\mswd\* %creaThirdPartyLibraries%\%wxWidgets%\lib\%vcFolder%\mswd /s /i
)

mkdir %creaThirdPartyLibraries%\%wxWidgets%\src\jpeg
mkdir %creaThirdPartyLibraries%\%wxWidgets%\src\png
mkdir %creaThirdPartyLibraries%\%wxWidgets%\src\tiff
mkdir %creaThirdPartyLibraries%\%wxWidgets%\src\zlib

XCOPY %WXDIR%\src\jpeg\* %creaThirdPartyLibraries%\%wxWidgets%\src\jpeg /s /i
XCOPY %WXDIR%\src\png\* %creaThirdPartyLibraries%\%wxWidgets%\src\png /s /i
XCOPY %WXDIR%\src\tiff\* %creaThirdPartyLibraries%\%wxWidgets%\src\tiff /s /i
XCOPY %WXDIR%\src\zlib\* %creaThirdPartyLibraries%\%wxWidgets%\src\zlib /s /i


echo -----------------------------------
echo -------------Boost-----------------
echo -----------------------------------

REM set boostMT=-vc100-mt-1_49.lib
REM set boostMTGD=-vc100-mt-gd-1_49.lib
REM set boostMTS=-vc100-mt-s-1_49.lib
REM set boostMTSGD=-vc100-mt-sgd-1_49.lib

set boostMT=-vc100-mt-1_52.lib
set boostMTGD=-vc100-mt-gd-1_52.lib
set boostMTS=-vc100-mt-s-1_52.lib
set boostMTSGD=-vc100-mt-sgd-1_52.lib

mkdir %creaThirdPartyLibraries%\%boost%

mkdir %creaThirdPartyLibraries%\%boost%\include
mkdir %creaThirdPartyLibraries%\%boost%\lib

XCOPY %BOOSTINSTALLDIR%\include\* %creaThirdPartyLibraries%\%boost%\include /s /i

copy /V /Y %BOOSTINSTALLDIR%\lib\boost_date_time%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_date_time%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_filesystem%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_filesystem%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_graph%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_graph%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_iostreams%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_iostreams%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_prg_exec_monitor%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_prg_exec_monitor%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_program_options%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_program_options%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_regex%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_regex%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_serialization%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_serialization%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_signals%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_signals%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_system%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_system%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_thread%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_thread%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_unit_test_framework%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_unit_test_framework%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_wave%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_wave%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_wserialization%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\boost_wserialization%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_date_time%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_date_time%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_date_time%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_date_time%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_filesystem%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_filesystem%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_filesystem%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_filesystem%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_graph%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_graph%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_graph%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_graph%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_iostreams%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_iostreams%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_iostreams%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_iostreams%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_prg_exec_monitor%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_prg_exec_monitor%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_prg_exec_monitor%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_prg_exec_monitor%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_program_options%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_program_options%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_program_options%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_program_options%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_regex%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_regex%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_regex%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_regex%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_serialization%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_serialization%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_serialization%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_serialization%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_signals%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_signals%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_signals%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_signals%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_system%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_system%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_system%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_system%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_test_exec_monitor%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_test_exec_monitor%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_test_exec_monitor%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_test_exec_monitor%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_thread%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_thread%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_thread%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_thread%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_unit_test_framework%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_unit_test_framework%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_unit_test_framework%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_unit_test_framework%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wave%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wave%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wave%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wave%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wserialization%boostMT% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wserialization%boostMTGD% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wserialization%boostMTS% %creaThirdPartyLibraries%\%boost%\lib
copy /V /Y %BOOSTINSTALLDIR%\lib\libboost_wserialization%boostMTSGD% %creaThirdPartyLibraries%\%boost%\lib

echo -----------------------------------
echo -------------Xcerces---------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\%xercesc%

mkdir %creaThirdPartyLibraries%\%xercesc%\include\
mkdir %creaThirdPartyLibraries%\%xercesc%\lib\

XCOPY %XERCESDIR%\src\* %creaThirdPartyLibraries%\%xercesc%\include\ /s /i
copy /V /Y %XERCESDIR%\Build\%winType%\VC10\%buildType%\%xercesFile% %creaThirdPartyLibraries%\%xercesc%\lib\

echo -----------------------------------
echo -------------ITK-------------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\%itk%

mkdir %creaThirdPartyLibraries%\%itk%\include
mkdir %creaThirdPartyLibraries%\%itk%\lib

XCOPY %ITKINSTALLDIR%\include\* %creaThirdPartyLibraries%\%itk%\include /s /i
XCOPY %ITKINSTALLDIR%\lib\* %creaThirdPartyLibraries%\%itk%\lib /s /i


echo -----------------------------------
echo -------------VTK-------------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\%vtk%

mkdir %creaThirdPartyLibraries%\%vtk%\include
mkdir %creaThirdPartyLibraries%\%vtk%\lib

XCOPY %VTKINSTALLDIR%\include\* %creaThirdPartyLibraries%\%vtk%\include /s /i
XCOPY %VTKINSTALLDIR%\lib\* %creaThirdPartyLibraries%\%vtk%\lib /s /i

echo cleaning

del %creaThirdPartyLibraries%\%vtk%\lib\vtk-5.10\VTKTargets.cmake
::del %creaThirdPartyLibraries%\%vtk%\lib\vtk-5.10\VTKTargets-release.cmake

echo -----------------------------------
echo -------------GDCM------------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\%gdcm%

mkdir %creaThirdPartyLibraries%\%gdcm%\bin
mkdir %creaThirdPartyLibraries%\%gdcm%\include
mkdir %creaThirdPartyLibraries%\%gdcm%\lib
mkdir %creaThirdPartyLibraries%\%gdcm%\share

XCOPY %GDCMINSTALLDIR%\include\* %creaThirdPartyLibraries%\%gdcm%\include /s /i
XCOPY %GDCMINSTALLDIR%\lib\* %creaThirdPartyLibraries%\%gdcm%\lib /s /i
XCOPY %GDCMINSTALLDIR%\share\* %creaThirdPartyLibraries%\%gdcm%\share /s /i

echo -----------------------------------
echo -------------TTH-------------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\tth
XCOPY %TTHDIR%\* %creaThirdPartyLibraries%\%tth% /s /i


echo -----------------------------------
echo -------------SQLite------------------
echo -----------------------------------
mkdir %creaThirdPartyLibraries%\%sqlite%
mkdir %creaThirdPartyLibraries%\%sqlite%\include
mkdir %creaThirdPartyLibraries%\%sqlite%\lib

echo XCOPY %SQLITEINSTALLDIR%\include\* %creaThirdPartyLibraries%\%sqlite%\include /s /i
XCOPY %SQLITEINSTALLDIR%\include\* %creaThirdPartyLibraries%\%sqlite%\include /s /i
XCOPY %SQLITEINSTALLDIR%\lib\* %creaThirdPartyLibraries%\%sqlite%\lib /s /i




echo -----------------------------------
echo -----End of Moving Libraries-------
echo -----------------------------------

exit /B