# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  

#!/bin/bash -e

###########################################
function getDistrib {
    local OS=`uname`

      if [ "$OS" == Darwin ] ; then OS=MacOS;
##EED2016-10-15    
##	elif [ "$OS" == Linux  ] ; then OS=`awk 'NR==1{print $1}' /etc/system-release`
    elif [ "$OS" == Linux  ] ; then OS=$(lsb_release -i | awk '{print $3}')

    else OS=""
    fi
# checkDistrib $OS
    echo $OS
}


OperatingSystem=`getDistrib`

  case "$OperatingSystem" in
  Mandriva)
     echo Root password:
     su -c "urpmi aria2"
	  downloadCommand=aria2c 
     ;;
  Fedora)
     echo Root password:
     su -c "yum install aria2 -y"
	  downloadCommand=aria2c
     ;;
  Ubuntu)
     echo Root password:
     su -c "apt-get --yes install wget"
	  downloadCommand=wget 
     ;;
  MacOS)
     port install curl -y
	  downloadCommand=curl 
     ;;
  *)
     echo " '$OperatingSystem' : Unknown (for us...) Operating Sytem "
     echo " Allowed values are (right now) Fedora, Ubuntu, MacOS "
//     exit 0
     ;;
  esac

CREATOOLSBINDIR=Creatools-Bin
rm -rf $CREATOOLSBINDIR
mkdir $CREATOOLSBINDIR
cd $CREATOOLSBINDIR
$downloadCommand http://www.creatis.insa-lyon.fr/software/public/creatools/creaTools/creatools-Linux-Bin.sh
source creatools-Linux-Bin.sh
cd ..


